int[][] spielstand = new int[3][3];
ArrayList<int[][]> spielverlauf = new ArrayList<int[][]>();
int DRAN = 1;
int offsetx;

public boolean gewonnenA(int[][] sp)
{
    int summe = 3;
    for(int i=0;i<3;i++)
        if(sp[i][0]+sp[i][1]+sp[i][2]==summe) return true;
    for(int i=0;i<3;i++)
        if(sp[0][i]+sp[1][i]+sp[2][i]==summe) return true;
    if(sp[0][0]+sp[1][1]+sp[2][2]==summe) return true;    
    if(sp[0][2]+sp[1][1]+sp[2][0]==summe) return true;
    return false;
}

public boolean gewonnenB(int[][] sp)
{
    int summe = 12;
    for(int i=0;i<3;i++)
        if(sp[i][0]+sp[i][1]+sp[i][2]==summe) return true;
    for(int i=0;i<3;i++)
        if(sp[0][i]+sp[1][i]+sp[2][i]==summe) return true;
    if(sp[0][0]+sp[1][1]+sp[2][2]==summe) return true;    
    if(sp[0][2]+sp[1][1]+sp[2][0]==summe) return true;
    return false;
}

public void setup()
{
     fullScreen();
     offsetx = (width-height)/2;
}

public void draw()
{
     background(255);
     strokeWeight(height/40);
     
     stroke(0);
     
     translate(offsetx,0);
     //Spielfeld zeichnen:
     for(int i=0;i<4;i++)
         line(0,i*height/3,height,i*height/3);
     for(int i=0;i<4;i++)
         line(i*height/3,0,i*height/3,height);
     //Kreuze und Kreise
        
     
     
     for(int i=0;i<spielstand.length;i++)
     {
           for(int k=0;k<spielstand[i].length;k++)
           {                
                stroke(0);
                if(spielstand[i][k]==1) //dann Kreuz
                {
                     stroke(0);
                     if(gewonnenA(spielstand)==true)
                         stroke(0,255,0);
                     line(k*height/3,i*height/3,(k+1)*height/3,(i+1)*height/3);
                     line((k+1)*height/3,i*height/3,k*height/3,(i+1)*height/3);
                }
                else if(spielstand[i][k]==4)
                {
                     stroke(0);
                     if(gewonnenB(spielstand)==true)
                         stroke(0,255,0);
                     ellipse(k*height/3+height/6,i*height/3+height/6,height/3,height/3);
                }
           }
     }
}

public void mousePressed()
{
     int k = (mouseX -offsetx)/(height/3); 
     int i = mouseY/(height/3);
     
     if(spielstand[i][k]==0)
     {
         spielstand[i][k] = DRAN;
         if(DRAN==1)
             DRAN=4;
         else
             DRAN=1;
     }
}